會員評分:  4 / 5

啟用星號啟用星號啟用星號啟用星號不啟用星號
 

之前一篇文章內提到過,即將來臨的 Joomla! 1.6 會需要 PHP 5.2.x 或更新的版本才能作業或甚至安裝。最近在計畫試用 Joomla! 1.6 Alpha 版,因此必須要做的第一件事就是把目前在測試伺服器上的 PHP 5.1.6 升級到 PHP 5.2.x。但不幸的,我所使用的作業系統 - CentOS 5.3,還沒有官方正式提供所需的升級。使得我必須從其他的來源尋求升級包。

在網路上很快地搜尋了一下,找出幾個第三方的軟體套件庫可能含有 PHP 5.2.x。最後選擇從一個半官方的 CentOS 軟體套件庫 - CentOS-Testing,來取得軟體包。這個軟體套件庫其實是 CentOS 團隊提供,用來測試新的或者改進過的軟體包,然後才將測試過的軟體包放進他們的正式官方發行管道。在那裏的軟體包都不被正是支援,也不保證會運作正常。使用它們時請小心謹慎。

要使用 CentOS-Testing 軟體套件庫,必須先把它加入到 YUM 的軟體套件庫設置內。只要用文字編輯器開啟 /etc/yum.repos.d/CentOS-Base.repo 檔案,在將下面的內容加到檔案最後:

[c5-testing]
name=CentOS-5 Testing 
baseurl=http://dev.centos.org/centos/$releasever/testing/$basearch/
enabled=0
gpgcheck=1
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing
 
# CentOS-Testing:
# !!!! CAUTION !!!!
# This repository is a proving grounds for packages on their way to CentOSPlus and CentOS Extras.
# They may or may not replace core CentOS packages, and are not guaranteed to function properly.
# These packages build and install, but are waiting for feedback from testers as to 
# functionality and stability. Packages in this repository will come and go during the 
# development period, so it should not be left enabled or used on production systems without due
# consideration. 

請不要在設置裡把這個軟體套件庫啟用。當你想從該軟體套件庫取得軟體包時,在指令內啟用即可。現在讓我們先檢查看看這個軟體套件庫裡有什麼與 PHP 有關的升級包。在你的指令殼(command shell)下鍵入已下的指令:

yum --disablerepo=* --enablerepo=c5-testing check-update php*

指令內的選項告訴 YUM 把所有的軟體套件庫都停用,只使用 c5-testing,並且檢查任何名字是以 php 開頭的升級包。你會看見一份與 PHP 有關的套件包列表,上面的套件包都是可以用來升級你的 PHP 安裝。

Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 
php.i386                  5.2.9-2.el5.centos     c5-testing
php-cli.i386              5.2.9-2.el5.centos     c5-testing
php-common.i386           5.2.9-2.el5.centos     c5-testing
php-gd.i386               5.2.9-2.el5.centos     c5-testing
php-imap.i386             5.2.9-2.el5.centos     c5-testing
php-mbstring.i386         5.2.9-2.el5.centos     c5-testing
php-mcrypt.i386           5.2.9-2.el5.centos.3   c5-testing
php-mysql.i386            5.2.9-2.el5.centos     c5-testing
php-pdo.i386              5.2.9-2.el5.centos     c5-testing

很快地檢視這份列表。如果那些套件包看起來合理,你就可以進行安裝。你必須再次停用其他的軟體套件庫。

yum --disablerepo=* --enablerepo=c5-testing update php*

遵照螢幕上的指示,你很快就會有 PHP 5.2.x 安裝在你的 CentOS 伺服器上了。

 

FaLang translation system by Faboba